# std::error_code::clear

From cppreference.com
< cpp‎ | error‎ | error code

void clear(); |  | (since C++11)

Replaces the error code and error category with default values.

Equivalent to *this = error_code(0, std::system_category()).

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/clear&oldid=91473"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template